Summary: X.Org X11 libXvMC runtime library
Name: libXvMC
Version: 1.0.13
Release: 4%{?dist}
License: MIT
URL: http://www.x.org
Source0: https://xorg.freedesktop.org/archive/individual/lib/libXvMC-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(videoproto) pkgconfig(xv)
BuildRequires: libX11-devel >= 1.5.99.902
Requires: libX11 >= 1.5.99.902

%description
This package includes header files, libraries necessary for developing programs 
which use X.Org X11 libXvMC runtime library.

%package devel
Summary: X.Org X11 libXvMC development package
Requires: libXvMC = %{version}-%{release}

%description devel
X.Org X11 libXvMC development package

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install
rm %{buildroot}%{_docdir}/*/*.txt

mkdir -p %{buildroot}%{_sysconfdir}/X11
touch %{buildroot}%{_sysconfdir}/X11/XvMCConfig

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%license COPYING
%doc README.md
%{_libdir}/libXvMC.so.1
%{_libdir}/libXvMC.so.1.0.0
%{_libdir}/libXvMCW.so.1
%{_libdir}/libXvMCW.so.1.0.0
%ghost %config(missingok,noreplace) %verify (not md5 size mtime) %{_sysconfdir}/X11/XvMCConfig

%files devel
%doc XvMC_API.txt
%{_includedir}/X11/extensions/XvMClib.h
%{_includedir}/X11/extensions/vldXvMC.h
%{_libdir}/libXvMC.so
%{_libdir}/libXvMCW.so
%{_libdir}/pkgconfig/xvmc.pc
%{_libdir}/pkgconfig/xvmc-wrapper.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.13-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.13-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Oct 11 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.13-1
- package init.
